## drf-yasg-nonfree 1.20.1

=== requirements.txt ===
# this file is only used when deploying to heroku, because heroku insists on having a root-level requirements.txt
# for normal usage see the requirements/ directory
.[validation]
-r requirements/heroku.txt

=== debian/changelog ===
drf-yasg-nonfree (1.20.1-2) unstable; urgency=medium

  * Reupload with a higher version

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 07 Feb 2022 17:21:04 +0100

drf-yasg-nonfree (1.20.1-1) unstable; urgency=medium

  * [b53e526] New upstream version 1.20.1
  * [4899a43] d/control: Add B-D so pyproject build support is usable
  * [d8526f7] d/rules: Enforce usage of pyproject pybuild system

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Jan 2022 09:03:50 +0100

drf-yasg-nonfree (1.20.0+20211216-1) unstable; urgency=medium

  * Upload to unstable
  * [e088992] New upstream version 1.20.0+20211216
    Snapshot version from 16th December 2021.
  * [8e0c0c0] Rebuild patch queue from patch-queue branch
    Dropped patch (fixed upstream):
    debian-hacks/Sphinx-Fix-up-deprecation-warning.patch
    Adjusted patch:
    debian-hacks/Sphinx-Remove-linkage-to-external-resources.patch
  * [885edcb] d/copyright: Update content due upstream changes
    Upstream did clarify some questions about the original authorship and
    license holders of third party components. Due this no unclear legal
    copyright questions left.
    More background:  https://github.com/axnsan12/drf-yasg/issues/756
  * [3d14ad0] missing-sources: Drop files inside debian/
  * [c270103] Lintian: Remove warning about file .travis.yml
  * [a5ad59e] d/rules: Remove not needed files from package
  * [3fdb0d7] d/rules: Use correct variable $(foo) syntax

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 16 Dec 2021 15:54:09 +0100

drf-yasg-nonfree (1.20.0-1) unstable; urgency=medium

  * Upload to unstable
  * [db168ca] d/control: Update Standards-Version to 4.6.0
  * [d9bf842] d/control: Drop obsolete field Testsuite
  * [37f4514] Lintian: Extend entries to ignore issues within source

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 24 Nov 2021 18:42:16 +0100

drf-yasg-nonfree (1.20.0-1~exp1) experimental; urgency=medium

  * [6cda74e] New upstream version 1.20.0
  * [eb64bcd] First and basic Debianization (Closes: #990874)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 10 Jul 2021 10:04:54 +0200

=== debian/control ===
Source: drf-yasg-nonfree
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: non-free/python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 pybuild-plugin-pyproject,
 python3-coreapi,
 python3-django,
 python3-djangorestframework,
 python3-inflection,
 python3-ruamel.yaml,
 python3-poetry,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-yasg-nonfree
Vcs-Git: https://salsa.debian.org/python-team/packages/drf-yasg-nonfree.git
Homepage: https://github.com/axnsan12/drf-yasg
XS-Autobuild: yes

Package: python-drf-yasg-nonfree-doc
Architecture: all
Section: non-free/doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Yet another Swagger generator (Documentation)
 Generate real Swagger/OpenAPI 2.0 specifications from a Django Rest Framework
 API.
 Features of drf-yasg:
  * full support for nested Serializers and Schemas
  * response schemas and descriptions
  * model definitions compatible with codegen tools
  * customization hooks at all points in the spec generation process
  * JSON and YAML format for spec
  * bundles latest version of swagger-ui
    (https://github.com/swagger-api/swagger-ui) and redoc
    (https://github.com/Rebilly/ReDoc) for viewing the generated documentation
  * schema view is cacheable out of the box
  * generated Swagger schema can be automatically validated by
    swagger-spec-validator (https://github.com/Yelp/swagger_spec_validator)
  * supports Django REST Framework API versioning with URLPathVersioning
    and NamespaceVersioning; other DRF or custom versioning schemes are
    not currently supported
 .
 This package contains the documentation.

Package: python3-drf-yasg-nonfree
Architecture: all
Depends:
 python3-django,
 python3-swagger-spec-validator,
 ${misc:Depends},
 ${python3:Depends},
Description: Yet another Swagger generator (Python3)
 Generate real Swagger/OpenAPI 2.0 specifications from a Django Rest Framework
 API.
 Features of drf-yasg:
  * full support for nested Serializers and Schemas
  * response schemas and descriptions
  * model definitions compatible with codegen tools
  * customization hooks at all points in the spec generation process
  * JSON and YAML format for spec
  * bundles latest version of swagger-ui
    (https://github.com/swagger-api/swagger-ui) and redoc
    (https://github.com/Rebilly/ReDoc) for viewing the generated documentation
  * schema view is cacheable out of the box
  * generated Swagger schema can be automatically validated by
    swagger-spec-validator (https://github.com/Yelp/swagger_spec_validator)
  * supports Django REST Framework API versioning with URLPathVersioning
    and NamespaceVersioning; other DRF or custom versioning schemes are
    not currently supported
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=drf-yasg-nonfree
export PYBUILD_DISABLE=test
export PYBUILD_SYSTEM=pyproject

export DRF_YASG_UPSTREAM_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-drf-yasg-nonfree-doc/usr/share/doc/python-drf-yasg-nonfree-doc/html
	dh_sphinxdoc
endif

override_dh_auto_clean:
	rm -rf docs/.build
	dh_auto_clean

override_dh_fixperms:
	dh_fixperms
	find debian/python3-drf-yasg-nonfree/usr/lib/python3/dist-packages/drf_yasg/static/drf-yasg/ -type f \
		\( -name "LICENSE" -o \
		   -name "README" \) \
		-exec rm {} \;

=== debian/watch ===
# watch file for drf-yasg-nonfree

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/drf-yasg-nonfree-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
      https://github.com/axnsan12/drf-yasg.git \
      refs/tags/(\d+\.\d{2}+\.\d+)

## drf-yasg-nonfree 1.21.3

=== debian/changelog ===
drf-yasg-nonfree (1.21.3-1) unstable; urgency=medium

  * [0b7cdda] New upstream version 1.21.3
  * [a6395bb] Rebuild patch queue from patch-queue branch
    Updated patch:
    debian-hacks/Sphinx-Don-t-link-to-external-images.patch
  * [fbc3027] Lintian: Adjust overrides for python3-drf-yasg-nonfree
  * [cd8c838] Lintian: Adjust overrides for source package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 03 Aug 2022 21:52:10 +0200

drf-yasg-nonfree (1.21.0-1) unstable; urgency=medium

  * [f492cf8] d/gbp.conf: Do automatic sign of tags
  * [7505ff3] New upstream version 1.21.0
  * [adfa9fe] d/control: Update Standards-Version to 4.6.1
  * [1e9737f] d/copyright: Update years of copyright

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 17 Jul 2022 21:12:41 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-yasg-nonfree
 Vcs-Git: https://salsa.debian.org/python-team/packages/drf-yasg-nonfree.git
 Homepage: https://github.com/axnsan12/drf-yasg

## drf-yasg-nonfree 1.21.5

=== debian/changelog ===
drf-yasg-nonfree (1.21.5-1) unstable; urgency=medium

  * [a4e0122] New upstream version 1.21.5
  * [d9ff8ac] d/control: Use BuildProfileSpecs, move dh helper to B-D
  * [50291c7] d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * [41f2532] d/rules: Drop --with option from default target
  * [fac1237] d/copyright: Update year data
  * [cda0edc] Lintian: Drop now non needed override

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 13 Feb 2023 17:03:05 +0000

drf-yasg-nonfree (1.21.4-1) unstable; urgency=medium

  * [ca47ce4] New upstream version 1.21.4
    (Closes: #1021858)
  * [f2e0237] d/{control,rules}: Switch to dh-sequence-python3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Oct 2022 09:07:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3-all,
 Build-Depends-Indep:
- dh-python,
  pybuild-plugin-pyproject,
- python3-coreapi,
- python3-django,
- python3-djangorestframework,
- python3-inflection,
- python3-ruamel.yaml,
- python3-poetry,
+ python3-coreapi <!nodoc>,
+ python3-django <!nodoc>,
+ python3-djangorestframework <!nodoc>,
+ python3-inflection <!nodoc>,
+ python3-ruamel.yaml <!nodoc>,
  python3-setuptools,
  python3-setuptools-scm,
- python3-sphinx,
- python3-sphinx-rtd-theme,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-yasg-nonfree
 Vcs-Git: https://salsa.debian.org/python-team/packages/drf-yasg-nonfree.git
 Homepage: https://github.com/axnsan12/drf-yasg

## drf-yasg-nonfree 1.21.7

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = drf-yasg
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
drf-yasg-nonfree (1.21.7-1) unstable; urgency=medium

  * [b84af13] New upstream version 1.21.7

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 05 Aug 2023 11:25:04 +0200

drf-yasg-nonfree (1.21.6-1) unstable; urgency=medium

  * [6e87b94] New upstream version 1.21.6
  * [0c137cf] d/control: Adjust to pyyaml build dependency

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Jun 2023 12:15:25 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-django <!nodoc>,
  python3-djangorestframework <!nodoc>,
  python3-inflection <!nodoc>,
- python3-ruamel.yaml <!nodoc>,
+ python3-yaml <!nodoc>,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export DRF_YASG_UPSTREAM_VERSION=$(DEB_VERSION_UPSTREAM)
 
 %:
-	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

## drf-yasg-nonfree 1.21.8

=== debian/changelog ===
drf-yasg-nonfree (1.21.8-1) unstable; urgency=medium

  * [ee9e36b] d/gbp.conf: Remove unneeded entries, sort DEFAULT section
  * [7dbe010] d/watch: Set compression to gz
  * [1da1c48] New upstream version 1.21.8
  * [0719495] Rebuild patch queue from patch-queue branch
    Update all patches against updated upstream data.
  * [3a7600f] d/control: Update Standards-Version to 4.7.0
    No further changes needed.
  * [8e13a97] d/copyright: Update year data
  * [d16369c] d/rules: Also clean up .mypy_cache in dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Nov 2024 16:34:53 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-yasg-nonfree
 Vcs-Git: https://salsa.debian.org/python-team/packages/drf-yasg-nonfree.git
 Homepage: https://github.com/axnsan12/drf-yasg

## drf-yasg-nonfree 1.21.9

=== debian/changelog ===
drf-yasg-nonfree (1.21.9-1) unstable; urgency=medium

  * [6abe202] New upstream version 1.21.9
  * [3807bd4] d/control: Update Standards-Version to 4.7.2
    No further changes needed.
  * [b5c80fd] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 04 Mar 2025 17:54:57 +0200

## drf-yasg-nonfree 1.21.10

=== testproj/requirements.txt ===
..[validation]
-r ../requirements/testproj.txt

=== debian/changelog ===
drf-yasg-nonfree (1.21.10-1) unstable; urgency=medium

  * [a7e8fe9] New upstream version 1.21.10

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 05 Apr 2025 17:47:20 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-yasg-nonfree
 Vcs-Git: https://salsa.debian.org/python-team/packages/drf-yasg-nonfree.git
 Homepage: https://github.com/axnsan12/drf-yasg

=== debian/watch ===
# watch file for drf-yasg-nonfree

version=4

opts="mode=git, \
      compression=gz, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/drf-yasg-nonfree-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/axnsan12/drf-yasg.git \
      refs/tags/(\d+\.\d{2}+\.\d+)

## drf-yasg-nonfree 1.21.11

=== debian/changelog ===
drf-yasg-nonfree (1.21.11-1) unstable; urgency=medium

  * [973b405] d/watch: Convert to version 5
  * [e52c475] New upstream version 1.21.11
  * [293c616] Rebuild patch queue from patch-queue branch
    Update all patches against updated upstream data.
  * [b97d6bf] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 08 Nov 2025 11:22:14 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-yasg-nonfree
 Vcs-Git: https://salsa.debian.org/python-team/packages/drf-yasg-nonfree.git

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 endif
 
 override_dh_auto_clean:
-	rm -rf docs/.build
+	rm -rf .mypy_cache docs/.build
 	dh_auto_clean
 
 override_dh_fixperms:

=== debian/watch ===
Version: 5

Source: https://github.com/axnsan12/drf-yasg.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Mode: git
Pgpmode: none
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
